Index: task.py
===================================================================
--- task.py	(revision 301)
+++ task.py	(working copy)
@@ -317,6 +317,9 @@
 class collate(task_decorator):
     pass
 
+class active_if(task_decorator):
+    pass
+
 #
 #   Esoteric
 #
@@ -594,6 +597,7 @@
                     "task_files",
                     "task_mkdir",
                     "task_parallel",
+                    "task_active_if",
                     ]
     action_unspecified        =  0
     action_task               =  1
@@ -606,6 +610,7 @@
     action_task_files         =  8
     action_mkdir              =  9
     action_parallel           = 10
+    action_active_if          = 11
 
     add_to_inputs             =  False
     replace_inputs            =  True
@@ -616,6 +621,8 @@
     job_single_matches_parent= 2
 
     job_limit_semaphores = {}
+    
+    is_active_job = True
 
     #_________________________________________________________________________________________
 
@@ -904,8 +911,14 @@
             short_task_name = self._name.replace('__main__.', '')
             log_at_level (logger, 4, verbose,
                             "  Task = " + short_task_name)
-
             #
+            #   If job is inactive, always consider it up-to-date
+            #     We replace the param generator, so is this even needed?
+            if not self.is_active_job:
+                #print 'signaling that the inactive job is up to date'
+                return True
+            
+            #
             #   Always needs update if no way to check if up to date
             #
             if self.needs_update_func == None:
@@ -1003,6 +1016,10 @@
             For "single_job_single_output" i.e. @merge and @files with single jobs,
                 returns the output of a single job (i.e. can be a string)
         """
+        if not self.is_active_job:
+            print "removing all outputs from this job"
+            return []
+        
         #
         #   This looks like the wrong place to flatten
         #
@@ -1916,8 +1933,35 @@
             self.job_limit_semaphores[self.semaphore_name] = maximum_jobs_num
 
 
+    #_________________________________________________________________________________________
 
+    #   task_active_if
 
+    #_________________________________________________________________________________________
+    def task_active_if (self, is_active_job):
+        """
+        Makes the function "up to date" with no outputs if is_active_job is False
+        """
+        #print 'job is active:', is_active_job, all(is_active_job)
+        self.is_active_job = all(is_active_job)  # make sure *all* arguments resolve to True
+        
+        #  --Jake Biesinger
+        # I thought overwriting the param_generator_func et al would lead to
+        # trouble with the order of decorator nesting, but it seems to work fine
+        # so:
+        # @active_if(True)
+        # @files(None, 'test') 
+        #     will work just as well as:
+        # @files(None, 'test')
+        # @active_if(True)
+        if not self.is_active_job:
+            self.param_generator_func = lambda x: iter([])  # callable giving empty iterator (no jobs to be run)
+            self.needs_update_func    = lambda x,y: (False,'function is inactive')  # callable indicating always up-to-date
+            #self.job_wrapper          = job_wrapper_io_files
+            #self.job_descriptor       = io_files_job_descriptor
+            #self.single_multi_io       = self.many_to_many
+
+
 class task_encoder(json.JSONEncoder):
     def default(self, obj):
         if isinstance(obj, set):
